import{s as He,n as je,o as Oe}from"../chunks/scheduler.924d507e.js";import{S as Ie,i as Ue,g as i,s as r,r as d,A as Ve,h as s,f as t,c as a,j as b,u as l,x as w,k as P,y as o,a as m,v as c,d as g,t as h,w as u}from"../chunks/index.0ece89e8.js";import{D as F}from"../chunks/Docstring.5956222d.js";import{H as le}from"../chunks/Heading.c9bff43c.js";function Fe(Ce){let _,K,G,Q,k,X,M,Te='<code>PeftConfigMixin</code> is the base configuration class for storing the adapter configuration of a <a href="/docs/peft/main/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>, and <a href="/docs/peft/main/en/package_reference/config#peft.PromptLearningConfig">PromptLearningConfig</a> is the base configuration class for soft prompt methods (p-tuning, prefix tuning, and prompt tuning). These base classes contain methods for saving and loading model configurations from the Hub, specifying the PEFT method to use, type of task to perform, and model configurations like number of layers and number of attention heads.',Y,L,Z,f,N,ce,z,we=`This is the base configuration class for PEFT adapter models. It contains all the methods that are common to all
PEFT adapter models. This class inherits from <a href="https://huggingface.co/docs/transformers/main/en/main_classes/model#transformers.utils.PushToHubMixin" rel="nofollow">PushToHubMixin</a> which contains the methods to
push your model to the Hub. The method <code>save_pretrained</code> will save the configuration of your adapter model in a
directory. The method <code>from_pretrained</code> will load the configuration of your adapter model from a directory.`,ge,y,E,he,A,ke="Loads a configuration file from a json file.",ue,x,D,_e,q,Me="This method loads the configuration of your adapter model from a directory.",ve,C,H,$e,S,Le="This method saves the configuration of your adapter model in a directory.",be,T,j,Pe,R,Ne="Returns the configuration for your adapter model as a dictionary.",ee,O,te,v,I,ye,W,Ee='This is the base configuration class to store the configuration of a <a href="/docs/peft/main/en/package_reference/peft_model#peft.PeftModel">PeftModel</a>.',ne,U,oe,$,V,xe,B,De=`This is the base configuration class to store the configuration of <code>PrefixTuning</code>, <a href="/docs/peft/main/en/package_reference/p_tuning#peft.PromptEncoder">PromptEncoder</a>, or
<code>PromptTuning</code>.`,re,J,ae;return k=new le({props:{title:"Configuration",local:"configuration",headingTag:"h1"}}),L=new le({props:{title:"PeftConfigMixin",local:"peft.config.PeftConfigMixin",headingTag:"h2"}}),N=new F({props:{name:"class peft.config.PeftConfigMixin",anchor:"peft.config.PeftConfigMixin",parameters:[{name:"peft_type",val:": Optional = None"},{name:"auto_mapping",val:": Optional = None"}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L27"}}),E=new F({props:{name:"from_json_file",anchor:"peft.config.PeftConfigMixin.from_json_file",parameters:[{name:"path_json_file",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_json_file.path_json_file",description:`<strong>path_json_file</strong> (<code>str</code>) &#x2014;
The path to the json file.`,name:"path_json_file"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L140"}}),D=new F({props:{name:"from_pretrained",anchor:"peft.config.PeftConfigMixin.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:": str"},{name:"subfolder",val:": Optional = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code>) &#x2014;
The directory or the Hub repository id where the configuration is saved.`,name:"pretrained_model_name_or_path"},{anchor:"peft.config.PeftConfigMixin.from_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the child class initialization.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L82"}}),H=new F({props:{name:"save_pretrained",anchor:"peft.config.PeftConfigMixin.save_pretrained",parameters:[{name:"save_directory",val:": str"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"peft.config.PeftConfigMixin.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code>) &#x2014;
The directory where the configuration will be saved.`,name:"save_directory"},{anchor:"peft.config.PeftConfigMixin.save_pretrained.kwargs",description:`<strong>kwargs</strong> (additional keyword arguments, <em>optional</em>) &#x2014;
Additional keyword arguments passed along to the <a href="https://huggingface.co/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig.push_to_hub" rel="nofollow">push_to_hub</a>
method.`,name:"kwargs"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L49"}}),j=new F({props:{name:"to_dict",anchor:"peft.config.PeftConfigMixin.to_dict",parameters:[],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L43"}}),O=new le({props:{title:"PeftConfig",local:"peft.PeftConfig",headingTag:"h2"}}),I=new F({props:{name:"class peft.PeftConfig",anchor:"peft.PeftConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"}],parametersDescription:[{anchor:"peft.PeftConfig.peft_type",description:"<strong>peft_type</strong> (Union[<code>~peft.utils.config.PeftType</code>, <code>str</code>]) &#x2014; The type of Peft method to use.",name:"peft_type"},{anchor:"peft.PeftConfig.task_type",description:"<strong>task_type</strong> (Union[<code>~peft.utils.config.TaskType</code>, <code>str</code>]) &#x2014; The type of task to perform.",name:"task_type"},{anchor:"peft.PeftConfig.inference_mode",description:"<strong>inference_mode</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014; Whether to use the Peft model in inference mode.",name:"inference_mode"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L208"}}),U=new le({props:{title:"PromptLearningConfig",local:"peft.PromptLearningConfig",headingTag:"h2"}}),V=new F({props:{name:"class peft.PromptLearningConfig",anchor:"peft.PromptLearningConfig",parameters:[{name:"peft_type",val:": Union = None"},{name:"auto_mapping",val:": Optional = None"},{name:"base_model_name_or_path",val:": Optional = None"},{name:"revision",val:": Optional = None"},{name:"task_type",val:": Union = None"},{name:"inference_mode",val:": bool = False"},{name:"num_virtual_tokens",val:": int = None"},{name:"token_dim",val:": int = None"},{name:"num_transformer_submodules",val:": Optional = None"},{name:"num_attention_heads",val:": Optional = None"},{name:"num_layers",val:": Optional = None"}],parametersDescription:[{anchor:"peft.PromptLearningConfig.num_virtual_tokens",description:"<strong>num_virtual_tokens</strong> (<code>int</code>) &#x2014; The number of virtual tokens to use.",name:"num_virtual_tokens"},{anchor:"peft.PromptLearningConfig.token_dim",description:"<strong>token_dim</strong> (<code>int</code>) &#x2014; The hidden embedding dimension of the base transformer model.",name:"token_dim"},{anchor:"peft.PromptLearningConfig.num_transformer_submodules",description:"<strong>num_transformer_submodules</strong> (<code>int</code>) &#x2014; The number of transformer submodules in the base transformer model.",name:"num_transformer_submodules"},{anchor:"peft.PromptLearningConfig.num_attention_heads",description:"<strong>num_attention_heads</strong> (<code>int</code>) &#x2014; The number of attention heads in the base transformer model.",name:"num_attention_heads"},{anchor:"peft.PromptLearningConfig.num_layers",description:"<strong>num_layers</strong> (<code>int</code>) &#x2014; The number of layers in the base transformer model.",name:"num_layers"}],source:"https://github.com/huggingface/peft/blob/main/src/peft/config.py#L228"}}),{c(){_=i("meta"),K=r(),G=i("p"),Q=r(),d(k.$$.fragment),X=r(),M=i("p"),M.innerHTML=Te,Y=r(),d(L.$$.fragment),Z=r(),f=i("div"),d(N.$$.fragment),ce=r(),z=i("p"),z.innerHTML=we,ge=r(),y=i("div"),d(E.$$.fragment),he=r(),A=i("p"),A.textContent=ke,ue=r(),x=i("div"),d(D.$$.fragment),_e=r(),q=i("p"),q.textContent=Me,ve=r(),C=i("div"),d(H.$$.fragment),$e=r(),S=i("p"),S.textContent=Le,be=r(),T=i("div"),d(j.$$.fragment),Pe=r(),R=i("p"),R.textContent=Ne,ee=r(),d(O.$$.fragment),te=r(),v=i("div"),d(I.$$.fragment),ye=r(),W=i("p"),W.innerHTML=Ee,ne=r(),d(U.$$.fragment),oe=r(),$=i("div"),d(V.$$.fragment),xe=r(),B=i("p"),B.innerHTML=De,re=r(),J=i("p"),this.h()},l(e){const n=Ve("svelte-u9bgzb",document.head);_=s(n,"META",{name:!0,content:!0}),n.forEach(t),K=a(e),G=s(e,"P",{}),b(G).forEach(t),Q=a(e),l(k.$$.fragment,e),X=a(e),M=s(e,"P",{"data-svelte-h":!0}),w(M)!=="svelte-wpcb2j"&&(M.innerHTML=Te),Y=a(e),l(L.$$.fragment,e),Z=a(e),f=s(e,"DIV",{class:!0});var p=b(f);l(N.$$.fragment,p),ce=a(p),z=s(p,"P",{"data-svelte-h":!0}),w(z)!=="svelte-1mh9vl"&&(z.innerHTML=we),ge=a(p),y=s(p,"DIV",{class:!0});var ie=b(y);l(E.$$.fragment,ie),he=a(ie),A=s(ie,"P",{"data-svelte-h":!0}),w(A)!=="svelte-zcd40r"&&(A.textContent=ke),ie.forEach(t),ue=a(p),x=s(p,"DIV",{class:!0});var se=b(x);l(D.$$.fragment,se),_e=a(se),q=s(se,"P",{"data-svelte-h":!0}),w(q)!=="svelte-z7yz95"&&(q.textContent=Me),se.forEach(t),ve=a(p),C=s(p,"DIV",{class:!0});var fe=b(C);l(H.$$.fragment,fe),$e=a(fe),S=s(fe,"P",{"data-svelte-h":!0}),w(S)!=="svelte-fhg9sv"&&(S.textContent=Le),fe.forEach(t),be=a(p),T=s(p,"DIV",{class:!0});var me=b(T);l(j.$$.fragment,me),Pe=a(me),R=s(me,"P",{"data-svelte-h":!0}),w(R)!=="svelte-1rharm3"&&(R.textContent=Ne),me.forEach(t),p.forEach(t),ee=a(e),l(O.$$.fragment,e),te=a(e),v=s(e,"DIV",{class:!0});var pe=b(v);l(I.$$.fragment,pe),ye=a(pe),W=s(pe,"P",{"data-svelte-h":!0}),w(W)!=="svelte-1r1kq2j"&&(W.innerHTML=Ee),pe.forEach(t),ne=a(e),l(U.$$.fragment,e),oe=a(e),$=s(e,"DIV",{class:!0});var de=b($);l(V.$$.fragment,de),xe=a(de),B=s(de,"P",{"data-svelte-h":!0}),w(B)!=="svelte-1pudpqu"&&(B.innerHTML=De),de.forEach(t),re=a(e),J=s(e,"P",{}),b(J).forEach(t),this.h()},h(){P(_,"name","hf:doc:metadata"),P(_,"content",ze),P(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P(x,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P(T,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P(v,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),P($,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,n){o(document.head,_),m(e,K,n),m(e,G,n),m(e,Q,n),c(k,e,n),m(e,X,n),m(e,M,n),m(e,Y,n),c(L,e,n),m(e,Z,n),m(e,f,n),c(N,f,null),o(f,ce),o(f,z),o(f,ge),o(f,y),c(E,y,null),o(y,he),o(y,A),o(f,ue),o(f,x),c(D,x,null),o(x,_e),o(x,q),o(f,ve),o(f,C),c(H,C,null),o(C,$e),o(C,S),o(f,be),o(f,T),c(j,T,null),o(T,Pe),o(T,R),m(e,ee,n),c(O,e,n),m(e,te,n),m(e,v,n),c(I,v,null),o(v,ye),o(v,W),m(e,ne,n),c(U,e,n),m(e,oe,n),m(e,$,n),c(V,$,null),o($,xe),o($,B),m(e,re,n),m(e,J,n),ae=!0},p:je,i(e){ae||(g(k.$$.fragment,e),g(L.$$.fragment,e),g(N.$$.fragment,e),g(E.$$.fragment,e),g(D.$$.fragment,e),g(H.$$.fragment,e),g(j.$$.fragment,e),g(O.$$.fragment,e),g(I.$$.fragment,e),g(U.$$.fragment,e),g(V.$$.fragment,e),ae=!0)},o(e){h(k.$$.fragment,e),h(L.$$.fragment,e),h(N.$$.fragment,e),h(E.$$.fragment,e),h(D.$$.fragment,e),h(H.$$.fragment,e),h(j.$$.fragment,e),h(O.$$.fragment,e),h(I.$$.fragment,e),h(U.$$.fragment,e),h(V.$$.fragment,e),ae=!1},d(e){e&&(t(K),t(G),t(Q),t(X),t(M),t(Y),t(Z),t(f),t(ee),t(te),t(v),t(ne),t(oe),t($),t(re),t(J)),t(_),u(k,e),u(L,e),u(N),u(E),u(D),u(H),u(j),u(O,e),u(I),u(U,e),u(V)}}}const ze='{"title":"Configuration","local":"configuration","sections":[{"title":"PeftConfigMixin","local":"peft.config.PeftConfigMixin","sections":[],"depth":2},{"title":"PeftConfig","local":"peft.PeftConfig","sections":[],"depth":2},{"title":"PromptLearningConfig","local":"peft.PromptLearningConfig","sections":[],"depth":2}],"depth":1}';function Ae(Ce){return Oe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Be extends Ie{constructor(_){super(),Ue(this,_,Ae,Fe,He,{})}}export{Be as component};
